%div{ 'ng-controller'=>"AddressController" }
  %div.panel.panel-primary{ :style=>"margin: 0 300px 0 300px;"}
    %div.panel-heading
      New Address
    %div.panel-body
      %form{'ng-submit'=>"addAddress()"}

        %label Ulica / Miejscowość
        %input{'ng-model'=>"newAddress.street", :class=>"form-control" }
        %div.row
          %div.col-xs-6
            %label Numer domu
            %input{'ng-model'=>"newAddress.housenumber", :class=>"form-control" }
          %div.col-xs-6
            %label Numer lokalu
            %input{'ng-model'=>"newAddress.flatnumber", :class=>"form-control" }
        %div.row
          %div.col-xs-3
            %label Kod pocztowy
            %input{'ng-model'=>"newAddress.postalcode", :class=>"form-control" }
          %div.col-xs-9
            %label Miasto
            %input{'ng-model'=>"newAddress.city", :class=>"form-control" }
        %label Kraj
        %input{'ng-model'=>"newAddress.country", :class=>"form-control" }
        %br
        %button.btn.btn-success.btn-block{ :type=>"submit"} Add


  %div.row{ :style=>"padding-top: 30px;"}
    %div.col-md-4{'ng-repeat'=>"address in addresses" }
      %label Address
      %br
      {{ address.street }}

      {{address.housenumber}}

      %span{'ng-if'=>"address.flatnumber != null"} / {{address.flatnumber}}
      %br

      {{ address.postalcode}} {{ address.city }}
      %br
      {{ address.country }}
      %br
